精华内容
下载资源
问答
  • Flutter 安装教程

    千次阅读 2018-08-10 15:57:27
    Flutter 是谷歌的移动UI框架,可以快速在 iOS 和 Android 上构建高质量的原生用户界面。...这里简单介绍下它的安装过程: 1,国内镜像URL配置 对于 Linux 和 MacOS,只需要下面命令即可: export PUB_HOSTE...

    Flutter 是谷歌的移动UI框架,可以快速在 iOS 和 Android 上构建高质量的原生用户界面。 Flutter 可以与现有的代码一起工作。在全世界,Flutter 正在被越来越多的开发者和组织使用,并且Flutter是完全免费、开源的。

    这里简单介绍下它的安装过程:

    1,国内镜像URL配置

    对于 Linux 和 MacOS,只需要下面命令即可:

    export PUB_HOSTED_URL=https://pub.flutter-io.cn
    export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

    对于 Windows,类似配置环境变量:
    控制面板 -> 系统安全 -> 系统 -> 高级设置 ->环境变量,(简单来说就是打开环境变量)
    在用户变量层级里面,新建两个:
    img

    注意:如果你不在大陆,或者没有被qiang,可以不需要上面步骤;

    2,下载 Flutter SDK

    例如要下载到我的 D:\software 目录下;
    Windows下,运行 cmd,执行下面命令:

    D:
    cd D:\software
    git clone -b beta https://github.com/flutter/flutter.git

    Linux 和 MacOS,类似打开目标目录,执行 git clone 命令;
    注意:如果没有装 Git 客户端,请先安装 Git;

    3,配置 Flutter SDK 环境变量

    以上为例,Flutter SDK 目录就是 D:\software\flutter
    在环境变量,也是用户变量层级的 Path,添加 D:\software\flutter\bin,用分号隔开;

    4,安装IDE

    我用的 Android Studio,必须 Android Studio, 3.0 或更高版本,
    需要安装两个插件:
    Flutter插件: 支持Flutter开发工作流 (运行、调试、热重载等).
    Dart插件: 提供代码分析 (输入代码时进行验证、代码补全等).
    具体操作:打开插件首选项 (Settings > Plugins),选择 Browse repositories…,选择 Flutter 插件并点击 install,重启Android Studio 后插件生效;
    Android Studio下载地址:http://tools.android-studio.org/
    如果你本身之前就已经装过Android Studio,那么只需要关心你版本是否大于3.0,其次再是安装2个插件。

    5,做个 SDK 环境诊断

    Windows下,重新运行 cmd,执行下面命令:

    flutter doctor



    安装完之后,Flutter 具体语法,实例可以参考:
    https://flutterchina.club/docs/

    展开全文
  • Flutter安装教程

    2019-07-17 09:15:50
    Flutter 是谷歌的移动UI框架,可以快速在 iOS 和 Android 上构建高质量的原生...这里简单介绍下它的安装过程: 配置环境变量(用户变量) 1,国内镜像URL配置 对于 Linux 和 MacOS,只需要下面命令即可: export ...

    Flutter 是谷歌的移动UI框架,可以快速在 iOS 和 Android 上构建高质量的原生用户界面。 Flutter 可以与现有的代码一起工作。在全世界,Flutter 正在被越来越多的开发者和组织使用,并且Flutter是完全免费、开源的。

    这里简单介绍下它的安装过程:

    配置环境变量(用户变量)

    1,国内镜像URL配置
    对于 Linux 和 MacOS,只需要下面命令即可:

    export PUB_HOSTED_URL=https://pub.flutter-io.cn
    export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

    2
    对于 Windows,类似配置环境变量:
    控制面板 -> 系统安全 -> 系统 -> 高级设置 ->环境变量,(简单来说就是打开环境变量,用户变量)
    新增 PUB_HOSTED_URL = https://pub.flutter-io.cn
    FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

    下载 Flutter SDK

    例如要下载到我的 D:\software 目录下;
    Windows下,运行 cmd,执行下面命令:

    D:
    cd D:\software
    git clone -b beta https://github.com/flutter/flutter.git
    

    配置 Flutter SDK 环境变量

    以上为例,Flutter SDK 目录就是 D:\software\flutter
    在环境变量,也是用户变量层级的 Path,添加 D:\software\flutter\bin,用分号隔开;

    SDK 环境诊断

    Windows下,重新运行 cmd,执行下面命令:

    flutter doctor
    
    展开全文
  • 一。准备软件包 1.windows >... 2。下载好Flutter sdk后,我们就要动手安装咯!... 将安装包zip解压到你想...注意,不要将flutter安装到需要一些高权限的路径如C:\Program Files\)。 这是解压后存放的目录地址 ...

    一。准备软件包

    1.windows > flutter sdk下载https://flutter.dev/docs/development/tools/sdk/releases#windows

    2。下载好Flutter sdk后,我们就要动手安装咯!

           将安装包zip解压到你想安装Flutter SDK的路径(如:D:\SDK\flutterSDK;注意,不要将flutter安装到需要一些高权限的路径如C:\Program Files\)。

    这是解压后存放的目录地址

    3.解压好后,我们要进行flutter sdk的环境变量配置,可以自己搜索配置教程,不过呢我也给大家搜索贴上,方便大家更快弄好上手!

    • 找到“我的电脑”,选中鼠标右键点击 “属性”,找到 “高级系统设置”点击进入,进入后找到“环境变量”点击
    • 在“用户变量”下检查是否有名为“Path”的条目:
      • 如果该条目存在, 追加 flutter\bin的全路径,不是win10系统需要使用 ; 作为分隔符.
      • 如果条目不存在, 创建一个新用户变量 Path ,然后将 flutter\bin的全路径作为它的值.

    下图中是我解压路径,记住一定要进入bin目录后把全路径贴到path里面去。

    安装好后,我们需要进行cmd命令检查是否配置成功!
    win+R 输入 cmd  进入。  输入flutter 即可!

    打开一个新的命令提示符(win+R  cmd)或PowerShell窗口并运行以下命令以查看是否需要安装任何依赖项来完成安装:

     flutter doctor

    上图中命令提示符显示红X是我本地AndroidStudio工具下载的模拟器(此状态是属于没有开启,后面开启就可以了。建议大家下载其他模拟器,因为官方的模拟器有点坑,可以试试夜神模拟器,雷霆模拟器)

    再就是其他红X自己见文知意,我不在一一做解释。(这两天手冷,打字都是手抖)

    这里我们的flutter sdk就算是配置好了,如何运行呢 可以试着使用AndroidStudio工具创建一个项目。

     

    二。创建我们的第一个flutter项目,这里我用的是AndroidStudio4.1版本工具。有兴趣的也可以试着用VSCode工具,轻量小巧,需要什么直接下载插件即可。

    1. 前提你的androidstudio工具里面下载过 flutter 插件才可以进行flutter项目创建使用


       
    2. 创建好项目后,就是启动我们的模拟器和运行我们的项目。


       
    3. 这里我们就完成了第一个flutter项目的创建使用。有什么问题可以自行搜索帖子查看,懒得写太多废话,不懂就去问百度。

    三。Flutter开发之行伴侣。Adobe XD教程。

    1. 关键点:
      这里需要一个科学工具,不一一列举。

    2. Adobe xd的Creative Cloud下载
      这里有一个问题,破解版本需要下载Creative Cloud(https://creativecloud.adobe.com/apps/download/creative-cloud)链接地址附上。

    3. 关键点:
      这里我们需要注册一个Creative Cloud账号,需要不是国服账号,地址附上(https://auth.services.adobe.com/zh_CN/index.html?callback=https%3A%2F%2Fims-na1.adobelogin.com%2Fims%2Fadobeid%2Fadobedotcom2%2FAdobeID%2Ftoken%3Fredirect_uri%3Dhttps%253A%252F%252Fwww.adobe.com%252Fcc_redirect_router_page.html%253Forigin%253D%252Fcn%252Fcreativecloud%252Fcatalog%252Fdesktop.html%2523from_ims%253Dtrue%2526old_hash%253D%2526api%253Dauthorize%26code_challenge_method%3Dplain%26use_ms_for_expiry%3Dtrue&client_id=adobedotcom2&scope=creative_cloud%2CAdobeID%2Copenid%2Cgnav%2Cread_organizations%2Cadditional_info.projectedProductContext%2Csao.ACOM_CLOUD_STORAGE%2Csao.stock%2Csao.cce_private%2Cadditional_info.roles&denied_callback=https%3A%2F%2Fims-na1.adobelogin.com%2Fims%2Fdenied%2Fadobedotcom2%3Fredirect_uri%3Dhttps%253A%252F%252Fwww.adobe.com%252Fcc_redirect_router_page.html%253Forigin%253D%252Fcn%252Fcreativecloud%252Fcatalog%252Fdesktop.html%2523from_ims%253Dtrue%2526old_hash%253D%2526api%253Dauthorize%26response_type%3Dtoken&relay=030bb2c5-e7a5-44fb-b658-8a93db64a4b5&locale=zh_CN&flow_type=token&idp_flow_type=login#/signup)。

       

    这里有一个坑,前提是你要自己把语言设置成“简体中文”,我只是业余玩耍。

    添加插件需要开启我给大家提供的好东西,可以哦!下面是我软件主界面

     

    梯子启动好了,我们就可以在“发现插件”页面进行添加插件。下面就是我自己添加的一些插件,仅供爱好者参考。

    这里提醒一点,如果这里插件不好下载,可以使用工具,方便大家进行插件下载安装,就跟手机里面的应用商城一样。https://xdpacks.com/

    到这里我们Adobe XD入门教程就完成了,你们可以放手大干一场。

    这里需要给小伙伴提个醒,Adobe XD安装后,第一次启动可以正常操作,但是后面启动会出现卡启动屏,卡死不运转。这让人很头疼,我这里给大家已经解决了,只许下载一个驱动插件就可以完全规避问题。(https://www.sunweihu.com/3895.html)链接是该软件的下载地址及安装教程。傻瓜式,再不会就真的教不会了。

    标注:里面的工具涉及侵权请评论告知,会立马处理的。

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

     

    展开全文
  • Flutter 省市区三级联动
  • MacOS Flutter 安装教程

    2020-05-31 14:08:07
    安装Flutter其实就五个步骤:下载安装包 - 设置Path环境变量 - 执行flutter doctor - 配置Xcode - 下载VS Code并配置 一、下载安装包 下载Flutter SDK 下载SDK有两种方式 方法1:点击 SDK-> Stable channel ...

     

    JasonFive关注

    0.0642020.01.03 19:20:48字数 741阅读 381

    安装Flutter其实就五个步骤:下载安装包 - 设置Path环境变量 - 执行flutter doctor - 配置Xcode - 下载VS Code并配置

    一、下载安装包

    1. 下载Flutter SDK
      下载SDK有两种方式
      方法1: 点击 SDK -> Stable channel (macOS) -> v1.5.4-hotfix.2
      方法2: 打开Terminal -> cd 指定目录中 -> 执行 git clone -b stable https://github.com/flutter/flutter.git 命令
       cd /Users/ws/Library/Flutter
       git clone -b stable https://github.com/flutter/flutter.git
    
    1. 下载最新版 Xcode
      Appstore -> Xcode

    2. 解压并安装
      如果使用方法1,解压到指定目录可以用以下方法

      cd /Users/ws/Library/Flutter
      unzip ~/Downloads/flutter_macos_v0.5.1-beta.zip
    

    也可以直接解压然后放入指定目录中

     

    安装目录.jpg

     

    小结:如果使用方法1下载下来的安装包执行flutter doctor时报下面Error中的错误,可以删除安装包,然后使用方法2中重新下载。(这是后面步骤操作,我提前说下,当前步骤不用这个)

    二、 设置Path变量环境

    1. 打开终端Terminal,然后输入
    vi ~/.bash_profile
    
    1. 然后 输入 i 进入可编辑状态,然后再加入如下代码到 文件中 然后 Esc : wq 保存
    export PUB_HOSTED_URL=https://pub.flutter-io.cn 
    export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn 
    export PATH=PATH_TO_FLUTTER_GIT_DIRECTORY/flutter/bin:$PATH
    

    a. 确定您Flutter SDK的目录,您将在步骤3中用到。
    b. 打开(或创建) $HOME/.bash_profile. 文件路径和文件名可能在您的机器上不同.
    c. 添加以下行并更改[PATH_TO_FLUTTER_GIT_DIRECTORY]为克隆Flutter的git repo的路径;
    比如我的为 /Users/ws/Library/Flutter则替换为

    export PATH=/Users/ws/Library/Flutter/flutter/bin:$PATH
    然后执行此命令,生效当前文件

    source ~/.bash_profile
    
    1. 如果你是用的是zsh,终端启动时 ~/.bash_profile 将不会被加载,解决办法就是修改 ~/.zshrc ,在其中添加:source ~/.bash_profile
    vi ~/.zshrc
    

    然后添加

    source ~/.bash_profile
    

    然后保存运行生效

    source ~/.zshrc
    
    1. 通过运行flutter/bin命令验证目录是否在已经在PATH中:
    echo $PATH
    

     

     

    结果为

    createsuccess.jpg

    三、执行flutter doctor

    执行 以下命令

    flutter doctor
    

    查看是否需要安装其它依赖项来完成安装

    1. Error 报错
      在执行 flutter doctor 命令后,报如下错误
    Error: The Flutter directory is not a clone of the GitHub project.
           The flutter tool requires Git in order to operate properly;
           to set up Flutter, run the following command:
           git clone -b stable https://github.com/flutter/flutter.git
    

    那么就删除刚才的安装包,然后cd 到你需要安装flutter文件夹的文件中,然后执行以下代码,重新下载

    git clone -b stable https://github.com/flutter/flutter.git
    

    漫长的等待...
    然后再执行 flutter doctor

    wsdeMacBook-Pro:Flutter ws$ flutter doctor
    Downloading Dart SDK from Flutter engine 2994f7e1e682039464cb25e31a78b86a3c59b695...
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
    100  200M  100  200M    0     0   435k      0  0:07:51  0:07:51 --:--:--  288k
    Building flutter tool...
    
      ╔════════════════════════════════════════════════════════════════════════════╗
      ║                 Welcome to Flutter! - https://flutter.dev                  ║
      ║                                                                            ║
      ║ The Flutter tool uses Google Analytics to anonymously report feature usage ║
      ║ statistics and basic crash reports. This data is used to help improve      ║
      ║ Flutter tools over time.                                                   ║
      ║                                                                            ║
      ║ Flutter tool analytics are not sent on the very first run. To disable      ║
      ║ reporting, type 'flutter config --no-analytics'. To display the current    ║
      ║ setting, type 'flutter config'. If you opt out of analytics, an opt-out    ║
      ║ event will be sent, and then no further information will be sent by the    ║
      ║ Flutter tool.                                                              ║
      ║                                                                            ║
      ║ By downloading the Flutter SDK, you agree to the Google Terms of Service.  ║
      ║ Note: The Google Privacy Policy describes how data is handled in this      ║
      ║ service.                                                                   ║
      ║                                                                            ║
      ║ Moreover, Flutter includes the Dart SDK, which may send usage metrics and  ║
      ║ crash reports to Google.                                                   ║
      ║                                                                            ║
      ║ Read about data we send with crash reports:                                ║
      ║ https://github.com/flutter/flutter/wiki/Flutter-CLI-crash-reporting        ║
      ║                                                                            ║
      ║ See Google's privacy policy:                                               ║
      ║ https://www.google.com/intl/en/policies/privacy/                           ║
      ╚════════════════════════════════════════════════════════════════════════════╝
    
    
    Flutter assets will be downloaded from https://storage.flutter-io.cn. Make sure you trust this
    source!
    Downloading Material fonts...                                       1.7s
    Downloading Gradle Wrapper...                                       0.1s
    Downloading android-arm-profile/darwin-x64 tools...                 2.3s
    Downloading android-arm-release/darwin-x64 tools...                 3.3s
    Downloading android-arm64-profile/darwin-x64 tools...               5.6s
    Downloading android-arm64-release/darwin-x64 tools...               4.2s
    Downloading android-x64-profile/darwin-x64 tools...                 7.8s
    Downloading android-x64-release/darwin-x64 tools...                 2.6s
    Downloading package sky_engine...                                   1.0s
    Downloading common tools...                                        19.0s
    Downloading common tools...                                         8.7s
    Downloading darwin-x64 tools...                                    48.2s
    Downloading libimobiledevice...                                     0.3s
    Downloading usbmuxd...                                              0.2s
    Downloading libplist...                                             0.2s
    Downloading openssl...                                              1.6s
    Downloading ideviceinstaller...                                     0.1s
    Downloading ios-deploy...                                           0.2s
    Downloading libzip...                                               0.1s
    Doctor summary (to see all details, run flutter doctor -v):
    [✓] Flutter (Channel stable, v1.12.13+hotfix.5, on Mac OS X 10.14.6 18G103, locale zh-Hans-CN)
    [✗] Android toolchain - develop for Android devices
        ✗ Unable to locate Android SDK.
          Install Android Studio from: https://developer.android.com/studio/index.html
          On first launch it will assist you in installing the Android SDK components.
          (or visit https://flutter.dev/setup/#android-setup for detailed instructions).
          If the Android SDK has been installed to a custom location, set ANDROID_HOME to that location.
          You may also want to add it to your PATH environment variable.
    
    [✓] Xcode - develop for iOS and macOS (Xcode 11.3)
    [!] Android Studio (not installed)
    [!] Connected device
        ! No devices available
    
    ! Doctor found issues in 3 categories.
    
    1. 然后再执行 以下命令查看配置
    flutter doctor -v
    

    执行结果

    wushuangdeMacBook-Pro:Flutter wushuang$ flutter doctor -v
    [✓] Flutter (Channel stable, v1.12.13+hotfix.5, on Mac OS X 10.14.6 18G103,
        locale zh-Hans-CN)
        • Flutter version 1.12.13+hotfix.5 at
          /Users/wushuang/Library/Flutter/flutter
        • Framework revision 27321ebbad (4 weeks ago), 2019-12-10 18:15:01 -0800
        • Engine revision 2994f7e1e6
        • Dart version 2.7.0
    
    [✗] Android toolchain - develop for Android devices
        ✗ Unable to locate Android SDK.
          Install Android Studio from:
          https://developer.android.com/studio/index.html
          On first launch it will assist you in installing the Android SDK
          components.
          (or visit https://flutter.dev/setup/#android-setup for detailed
          instructions).
          If the Android SDK has been installed to a custom location, set
          ANDROID_HOME to that location.
          You may also want to add it to your PATH environment variable.
    
    
    [✓] Xcode - develop for iOS and macOS (Xcode 11.3)
        • Xcode at /Applications/Xcode.app/Contents/Developer
        • Xcode 11.3, Build version 11C29
        • CocoaPods version 1.8.3
    
    [!] Android Studio (not installed)
        • Android Studio not found; download from
          https://developer.android.com/studio/index.html
          (or visit https://flutter.dev/setup/#android-setup for detailed
          instructions).
    
    [✓] Connected device (1 available)
        • iPhone 11 Pro Max • 5477F382-441E-4FA4-AE1F-D8EB63B5AA3E • ios •
          com.apple.CoreSimulator.SimRuntime.iOS-13-3 (simulator)
    
    ! Doctor found issues in 2 categories.
    

    发现其中有“Android toolchain - develop for Android devices”前面有个红色 [x],其实只要保证Xcode 和 Android toolchain 有一个成功就行,当然也可以再下载补全

    四、配置Xcode

    1. 安装 homebrew(如果已经安装homebrew就跳过)
      可以点击homebrew 进去官网查看下载链接,也可以在Terminal 中执行
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
    
    1. 打开Terminal 然后逐条运行这些命令来安装用于将Flutter应用安装到iOS设备的工具
    brew update
    brew install --HEAD libimobiledevice
    brew install ideviceinstaller ios-deploy cocoapods
    pod setup
    

    又是经过漫长的下载... 😂
    最后结果

    wushuangdeMacBook-Pro:~ wushuang$ brew update
    ==> Downloading https://homebrew.bintray.com/bottles-portable-ruby/portable-ruby-2.6.3.mavericks.bottle.tar.gz
    ###########################                                               38.8%^C
    wushuangdeMacBook-Pro:~ wushuang$ brew update
    fatal: unable to access 'https://github.com/Homebrew/homebrew-core/': transfer closed with outstanding read data remaining
    Error: Fetching /usr/local/Homebrew/Library/Taps/homebrew/homebrew-core failed!
    ==> Downloading https://homebrew.bintray.com/bottles-portable-ruby/portable-ruby-2.6.3.mavericks.bottle.tar.gz
    ######################################################################## 100.0%
    ==> Pouring portable-ruby-2.6.3.mavericks.bottle.tar.gz
    wushuangdeMacBook-Pro:~ wushuang$ brew install --HEAD libimobiledevice
    Updating Homebrew...
    ==> Auto-updated Homebrew!
    Updated 1 tap (homebrew/core).
    ==> Updated Formulae
    imagemagick                                                    imagemagick@6                                                  pyenv
    
    ==> Installing dependencies for libimobiledevice: gdbm, sqlite, xz, python, libxml2, libplist, libtasn1, libusb and libusbmuxd
    ==> Installing libimobiledevice dependency: gdbm
    ==> Downloading https://homebrew.bintray.com/bottles/gdbm-1.18.1.mojave.bottle.1.tar.gz
    ######################################################################## 100.0%
    ==> Pouring gdbm-1.18.1.mojave.bottle.1.tar.gz
    🍺  /usr/local/Cellar/gdbm/1.18.1: 20 files, 586.8KB
    ==> Installing libimobiledevice dependency: sqlite
    ==> Downloading https://homebrew.bintray.com/bottles/sqlite-3.30.1.mojave.bottle.tar.gz
    ==> Downloading from https://akamai.bintray.com/5e/5e6fef2d754e0e4009d502c40ad1846ac46937886b5f3fe89378cb838626d95e?__gda__=exp=1578319393~hmac=290bf0800a72de504fa502a68d003374ed1ba33913b
    ######################################################################## 100.0%
    ==> Pouring sqlite-3.30.1.mojave.bottle.tar.gz
    ==> Caveats
    sqlite is keg-only, which means it was not symlinked into /usr/local,
    because macOS provides an older sqlite3.
    
    If you need to have sqlite first in your PATH run:
      echo 'export PATH="/usr/local/opt/sqlite/bin:$PATH"' >> ~/.bash_profile
    
    For compilers to find sqlite you may need to set:
      export LDFLAGS="-L/usr/local/opt/sqlite/lib"
      export CPPFLAGS="-I/usr/local/opt/sqlite/include"
    
    For pkg-config to find sqlite you may need to set:
      export PKG_CONFIG_PATH="/usr/local/opt/sqlite/lib/pkgconfig"
    
    ==> Summary
    🍺  /usr/local/Cellar/sqlite/3.30.1: 11 files, 3.9MB
    ==> Installing libimobiledevice dependency: xz
    ==> Downloading https://homebrew.bintray.com/bottles/xz-5.2.4.mojave.bottle.tar.gz
    ==> Downloading from https://akamai.bintray.com/01/010667293df282c8bceede3bcd36953dd57c56cef608d09a5b50694ab7d4b96b?__gda__=exp=1578319520~hmac=121c30a68227ba090f2c57d4f2b087be4a7ee84ad72
    ######################################################################## 100.0%
    ==> Pouring xz-5.2.4.mojave.bottle.tar.gz
    🍺  /usr/local/Cellar/xz/5.2.4: 92 files, 1MB
    ==> Installing libimobiledevice dependency: python
    ==> Downloading https://homebrew.bintray.com/bottles/python-3.7.6_1.mojave.bottle.tar.gz
    ==> Downloading from https://akamai.bintray.com/64/643d627c2b4fc03a3286c397d299284ef8ce2d4a832737e41175f297d4f0862e?__gda__=exp=1578319534~hmac=362369ee5a44602b7266c4c136355eb5cd0e93d0105
    ######################################################################## 100.0%
    ==> Pouring python-3.7.6_1.mojave.bottle.tar.gz
    ==> /usr/local/Cellar/python/3.7.6_1/bin/python3 -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr/local/Cellar/python/3.7.6_1/bin --install-lib=/usr/local/lib/py
    ==> /usr/local/Cellar/python/3.7.6_1/bin/python3 -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr/local/Cellar/python/3.7.6_1/bin --install-lib=/usr/local/lib/py
    ==> /usr/local/Cellar/python/3.7.6_1/bin/python3 -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr/local/Cellar/python/3.7.6_1/bin --install-lib=/usr/local/lib/py
    ==> Caveats
    Python has been installed as
      /usr/local/bin/python3
    
    Unversioned symlinks `python`, `python-config`, `pip` etc. pointing to
    `python3`, `python3-config`, `pip3` etc., respectively, have been installed into
      /usr/local/opt/python/libexec/bin
    
    If you need Homebrew's Python 2.7 run
      brew install python@2
    
    You can install Python packages with
      pip3 install <package>
    They will install into the site-package directory
      /usr/local/lib/python3.7/site-packages
    
    See: https://docs.brew.sh/Homebrew-and-Python
    ==> Summary
    🍺  /usr/local/Cellar/python/3.7.6_1: 3,977 files, 60.8MB
    ==> Installing libimobiledevice dependency: libxml2
    ==> Downloading https://homebrew.bintray.com/bottles/libxml2-2.9.10.mojave.bottle.tar.gz
    ==> Downloading from https://akamai.bintray.com/47/472ed1a73a91c49fd9f39bd8cc4a7472b09c691659b3b9305c9da42ed35e1475?__gda__=exp=1578319613~hmac=eb1560ca42d4386c9a6b50d8389276eda31531de67e
    ######################################################################## 100.0%
    ==> Pouring libxml2-2.9.10.mojave.bottle.tar.gz
    ==> Caveats
    libxml2 is keg-only, which means it was not symlinked into /usr/local,
    because macOS already provides this software and installing another version in
    parallel can cause all kinds of trouble.
    
    If you need to have libxml2 first in your PATH run:
      echo 'export PATH="/usr/local/opt/libxml2/bin:$PATH"' >> ~/.bash_profile
    
    For compilers to find libxml2 you may need to set:
      export LDFLAGS="-L/usr/local/opt/libxml2/lib"
      export CPPFLAGS="-I/usr/local/opt/libxml2/include"
    
    For pkg-config to find libxml2 you may need to set:
      export PKG_CONFIG_PATH="/usr/local/opt/libxml2/lib/pkgconfig"
    
    ==> Summary
    🍺  /usr/local/Cellar/libxml2/2.9.10: 280 files, 10.5MB
    ==> Installing libimobiledevice dependency: libplist
    ==> Downloading https://homebrew.bintray.com/bottles/libplist-2.1.0.mojave.bottle.tar.gz
    ######################################################################## 100.0%
    ==> Pouring libplist-2.1.0.mojave.bottle.tar.gz
    🍺  /usr/local/Cellar/libplist/2.1.0: 29 files, 357.5KB
    ==> Installing libimobiledevice dependency: libtasn1
    ==> Downloading https://homebrew.bintray.com/bottles/libtasn1-4.15.0.mojave.bottle.tar.gz
    ######################################################################## 100.0%
    ==> Pouring libtasn1-4.15.0.mojave.bottle.tar.gz
    🍺  /usr/local/Cellar/libtasn1/4.15.0: 60 files, 392.9KB
    ==> Installing libimobiledevice dependency: libusb
    ==> Downloading https://homebrew.bintray.com/bottles/libusb-1.0.23.mojave.bottle.tar.gz
    ######################################################################## 100.0%
    ==> Pouring libusb-1.0.23.mojave.bottle.tar.gz
    🍺  /usr/local/Cellar/libusb/1.0.23: 29 files, 524.8KB
    ==> Installing libimobiledevice dependency: libusbmuxd
    ==> Downloading https://homebrew.bintray.com/bottles/libusbmuxd-2.0.1.mojave.bottle.tar.gz
    ######################################################################## 100.0%
    ==> Pouring libusbmuxd-2.0.1.mojave.bottle.tar.gz
    🍺  /usr/local/Cellar/libusbmuxd/2.0.1: 14 files, 165.5KB
    ==> Installing libimobiledevice --HEAD
    ==> Cloning https://git.libimobiledevice.org/libimobiledevice.git
    Cloning into '/Users/wushuang/Library/Caches/Homebrew/libimobiledevice--git'...
    ==> Checking out branch master
    Already on 'master'
    Your branch is up to date with 'origin/master'.
    ==> ./autogen.sh
    ==> ./configure --disable-silent-rules --prefix=/usr/local/Cellar/libimobiledevice/HEAD-297ae43_6 --without-cython --enable-debug-code
    ==> make install
    🍺  /usr/local/Cellar/libimobiledevice/HEAD-297ae43_6: 68 files, 1.1MB, built in 4 minutes 2 seconds
    ==> `brew cleanup` has not been run in 30 days, running now...
    Removing: /Users/wushuang/Library/Caches/Homebrew/coreutils--8.31.mojave.bottle.tar.gz... (3.8MB)
    Removing: /Users/wushuang/Library/Logs/Homebrew/pkg-config... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/libtool... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/coreutils... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/libksba... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/libyaml... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/readline... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/libgpg-error... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/zlib... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/autoconf... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/openssl@1.1... (64B)
    Removing: /Users/wushuang/Library/Logs/Homebrew/automake... (64B)
    Pruned 0 symbolic links and 2 directories from /usr/local
    ==> Caveats
    ==> sqlite
    sqlite is keg-only, which means it was not symlinked into /usr/local,
    because macOS provides an older sqlite3.
    
    If you need to have sqlite first in your PATH run:
      echo 'export PATH="/usr/local/opt/sqlite/bin:$PATH"' >> ~/.bash_profile
    
    For compilers to find sqlite you may need to set:
      export LDFLAGS="-L/usr/local/opt/sqlite/lib"
      export CPPFLAGS="-I/usr/local/opt/sqlite/include"
    
    For pkg-config to find sqlite you may need to set:
      export PKG_CONFIG_PATH="/usr/local/opt/sqlite/lib/pkgconfig"
    
    ==> python
    Python has been installed as
      /usr/local/bin/python3
    
    Unversioned symlinks `python`, `python-config`, `pip` etc. pointing to
    `python3`, `python3-config`, `pip3` etc., respectively, have been installed into
      /usr/local/opt/python/libexec/bin
    
    If you need Homebrew's Python 2.7 run
      brew install python@2
    
    You can install Python packages with
      pip3 install <package>
    They will install into the site-package directory
      /usr/local/lib/python3.7/site-packages
    
    See: https://docs.brew.sh/Homebrew-and-Python
    ==> libxml2
    libxml2 is keg-only, which means it was not symlinked into /usr/local,
    because macOS already provides this software and installing another version in
    parallel can cause all kinds of trouble.
    
    If you need to have libxml2 first in your PATH run:
      echo 'export PATH="/usr/local/opt/libxml2/bin:$PATH"' >> ~/.bash_profile
    
    For compilers to find libxml2 you may need to set:
      export LDFLAGS="-L/usr/local/opt/libxml2/lib"
      export CPPFLAGS="-I/usr/local/opt/libxml2/include"
    
    For pkg-config to find libxml2 you may need to set:
      export PKG_CONFIG_PATH="/usr/local/opt/libxml2/lib/pkgconfig"
    
    wushuangdeMacBook-Pro:~ wushuang$ brew install ideviceinstaller ios-deploy cocoapods
    ==> Installing dependencies for ideviceinstaller: libzip
    ==> Installing ideviceinstaller dependency: libzip
    ==> Downloading https://homebrew.bintray.com/bottles/libzip-1.5.2.mojave.bottle.1.tar.gz
    ######################################################################## 100.0%
    ==> Pouring libzip-1.5.2.mojave.bottle.1.tar.gz
    🍺  /usr/local/Cellar/libzip/1.5.2: 134 files, 579.5KB
    ==> Installing ideviceinstaller
    ==> Downloading https://homebrew.bintray.com/bottles/ideviceinstaller-1.1.0_4.mojave.bottle.1.tar.gz
    ######################################################################## 100.0%
    ==> Pouring ideviceinstaller-1.1.0_4.mojave.bottle.1.tar.gz
    🍺  /usr/local/Cellar/ideviceinstaller/1.1.0_4: 8 files, 60.5KB
    ==> Downloading https://homebrew.bintray.com/bottles/ios-deploy-1.10.0.mojave.bottle.tar.gz
    ######################################################################## 100.0%
    ==> Pouring ios-deploy-1.10.0.mojave.bottle.tar.gz
    🍺  /usr/local/Cellar/ios-deploy/1.10.0: 7 files, 236.9KB
    ==> Downloading https://homebrew.bintray.com/bottles/cocoapods-1.8.4.mojave.bottle.tar.gz
    ==> Downloading from https://akamai.bintray.com/d4/d43db56c6e712b2ea5349d1fd02cb60678d7becc2672921132408498aa20adc2?__gda__=exp=1578320187~hmac=b282968772b93ce2dabe64c9ad9d32e9a8bc59837e3
    ######################################################################## 100.0%
    ==> Pouring cocoapods-1.8.4.mojave.bottle.tar.gz
    Error: The `brew link` step did not complete successfully
    The formula built, but is not symlinked into /usr/local
    Could not symlink bin/pod
    Target /usr/local/bin/pod
    already exists. You may want to remove it:
      rm '/usr/local/bin/pod'
    
    To force the link and overwrite all conflicting files:
      brew link --overwrite cocoapods
    
    To list all files that would be deleted:
      brew link --overwrite --dry-run cocoapods
    
    Possible conflicting files are:
    /usr/local/bin/pod
    /usr/local/bin/xcodeproj
    ==> Summary
    🍺  /usr/local/Cellar/cocoapods/1.8.4: 10,983 files, 18MB
    wushuangdeMacBook-Pro:~ wushuang$ pod setup
    
    

    五、下载VS Code并配置

    1、安装 VS Code
    2、安装Flutter插件 参照 安装Flutter插件

     

    2人点赞

     

    日记本

     

    展开全文
  • Flutter 安装教程之坑

    2019-07-11 17:06:06
    网上已经有很多 flutter安装教程 这里就再说了 这里只记录我踩过的坑
  • Android Studio - Flutter安装教程

    千次阅读 2021-03-19 13:04:53
    什么是 Flutter ? Flutter 由 Google 的工程师团队打造,用于创建高性能,跨平台的移动应用。Flutter 针对当下以及未来的移动设备进行优化,专注于 Android and iOS 低延迟的输入和高帧率。 Flutter 可以给开发者...
  • Flutter - 极速构建漂亮的原生应用 Flutter是谷歌的移动UI框架,可以快速在iOS和Android上构建高质量的原生用户界面。 Flutter可以与现有的代码一起工作。在全世界,Flutter正在被越来越多的开发者和组织使用,并且...
  • 本文是在安装flutter的时候,所遇到的问题参考的各个文档整理集合。此次是在win7上安装的问题记录。...随后,会更新在win10上安装教程。 1.安装https://www.cnblogs.com/aaron-gan/p/9095779.htmlh...
  • 第一步,进入Flutter官网下载最新版本开发包,并将其解压到指定位置。 第二步,将Flutter所在路径添加到环境变量中。 第三步,进入安卓开发者网站,然后下载并安装Android Studio和Andorid SDK。 第四步,将...
  • 或许还有很多搞移动开发的朋友还没有安装Flutter,或者是不知道怎么安装,现在博主给大家分享一篇大佬整理的超详细的Flutter安装入门教程。 原文地址:https://www.jianshu.com/p/a9ff23f96305 Flutter是谷歌的移动...
  • Flutter安装踩坑教程

    2020-05-27 22:46:23
    文章目录Flutter安装过程中的坑差不多都踩了选定想安装的目录cmd配置环境配置Java版本在flutter目录下打开flutter_console.bat配置Android Studio在Android Studio中导入flutter,并创建一个flutter项目 Flutter安装...
  • Flutter安装入门教程

    千次阅读 2019-07-07 08:56:22
    前言 Flutter是谷歌的移动UI框架,可以快速在iOS和Android上构建高质量的原生...我本人也是非常安好Flutter,所以也进入到了Flutter学习行列啦,今天主要讲一下Flutter安装,具体包括: Flutter需要配置的工具 Fl...
  • flutter安装终极教程

    千次阅读 热门讨论 2020-10-18 18:12:59
    flutter环境配置安装终极教程 环境安装流程 java环境 flutter sdk android SDK androidstudio dart sdk vscode 除了最后一个vscode是可选,其他几个是必须安装,缺一个都跑不起来。我们主要梳理一下下载安装这些...
  • mac 安装Flutter 视频教程
  • flutter 安装详细教程

    2019-09-25 12:20:35
    Flutter 是 Google 用以帮助开发者在 iOS 和 Android 两个平台开发高质量原生 UI 的移动 SDK...安装步骤: 1.由于国内被墙,需要设置下载镜像 export PUB_HOSTED_URL=https://pub.flutter-io.cn export FLUTT...
  • flutter基础教程

    万人学习 2018-08-27 15:50:34
    Flutter基础入门视频教程Flutter是谷歌的移动UI框架,可以快速在iOS和Android上构建高质量的原生用户界面。通过这门课程的学习使得大家掌握使用flutter来编写跨平台移动客户端应用。
  • flutter安装

    2021-01-25 22:09:04
    没有git的先去安装git,百度一下教程 一开始直接下载有问题,鲨了我吧。。我克隆还不行吗。。 二、配置flutter环境变量 控制面板 -> 用户账户 -> 更改环境变量 -> 用户变量 FLUTTER_STORAGE_BASE_URL=...
  • Flutter Mac安装教程

    2020-10-28 16:59:27
    安装教程 Flutter MAC安装 中文网站 https://flutterchina.club 一:下载SDK 解压到“资源库”目录 /Library 二:打开并编辑bash_profile文件 vi ~/.bash_profile 在~/.bash_profile设置...
  • Flutter教程 (二)Flutter安装及运行

    万次阅读 2018-03-06 21:33:33
    Mac上安装Flutter过程详解 前方预警,前方预警,前方预警 作为高墙之内的开发者,我们有必要看一看这篇文章Using Flutter in China 。 根据文章的提醒。。。,我们只用在命令行执行以下Shell命令 export PUB_...
  • 前言Flutter是谷歌的移动UI框架,可以快速在iOS和Android上构建高质量的...我本人也是非常安好Flutter,所以也进入到了Flutter学习行列啦,今天主要讲一下Flutter安装,具体包括:Flutter需要配置的工具Flutter...
  • 一直觉得自己写的不是技术,而是情怀,一个个的教程是自己这一路走来的痕迹。靠专业技能的成功是最具可复制性的,希望我的这条路能让你们少走弯路,希望我能帮你们抹去知识的蒙尘,希望我能帮你们理清知识的脉络,...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 1,953
精华内容 781
关键字:

flutter安装教程